## CamelNNTPStoreSummary

CamelNNTPStoreSummary

## Functions

CamelNNTPStoreSummary * | camel_nntp_store_summary_new ()
gchar * | camel_nntp_store_summary_full_to_path ()
gchar * | camel_nntp_store_summary_path_to_full ()
gchar * | camel_nntp_store_summary_dotted_to_full ()
CamelNNTPStoreInfo * | camel_nntp_store_summary_full_name ()
CamelNNTPStoreInfo * | camel_nntp_store_summary_add_from_full ()
gchar * | camel_nntp_store_summary_full_from_path ()

## Types and Values

#define | NNTP_DATE_SIZE
struct | CamelNNTPStoreInfo
struct | CamelNNTPStoreSummary

## Object Hierarchy

        GObject
        ╰── CamelStoreSummary
            ╰── CamelNNTPStoreSummary

## Description

## Functions

### camel_nntp_store_summary_new ()

    CamelNNTPStoreSummary *
    camel_nntp_store_summary_new (void);

Create a new CamelNNTPStoreSummary object.

#### Returns

A new CamelNNTPStoreSummary widget.

### camel_nntp_store_summary_full_to_path ()

    gchar *
    camel_nntp_store_summary_full_to_path (CamelNNTPStoreSummary *s,
                                           const gchar *full_name,
                                           gchar dir_sep);

### camel_nntp_store_summary_path_to_full ()

    gchar *
    camel_nntp_store_summary_path_to_full (CamelNNTPStoreSummary *s,
                                           const gchar *path,
                                           gchar dir_sep);

### camel_nntp_store_summary_dotted_to_full ()

    gchar *
    camel_nntp_store_summary_dotted_to_full
                                   (CamelNNTPStoreSummary *s,
                                    const gchar *dotted,
                                    gchar dir_sep);

### camel_nntp_store_summary_full_name ()

    CamelNNTPStoreInfo *
    camel_nntp_store_summary_full_name (CamelNNTPStoreSummary *s,
                                        const gchar *full_name);

Retrieve a summary item by full name.

The returned CamelNNTPStoreInfo is referenced for thread-safety and should be unreferenced with `camel_store_summary_info_unref()` when finished with it.

#### Returns

The summary item, or NULL if the `full_name` name is not available.

### camel_nntp_store_summary_add_from_full ()

    CamelNNTPStoreInfo *
    camel_nntp_store_summary_add_from_full
                                   (CamelNNTPStoreSummary *s,
                                    const gchar *full_name,
                                    gchar dir_sep);

### camel_nntp_store_summary_full_from_path ()

    gchar *
    camel_nntp_store_summary_full_from_path
                                   (CamelNNTPStoreSummary *s,
                                    const gchar *path);

## Types and Values

### NNTP_DATE_SIZE

    #define NNTP_DATE_SIZE 14

### struct CamelNNTPStoreInfo

    struct CamelNNTPStoreInfo {
    	CamelStoreInfo info;
    	gchar *full_name;
    	guint32 first;		/* from LIST or NEWGROUPS return */
    	guint32 last;
    };

### struct CamelNNTPStoreSummary

    struct CamelNNTPStoreSummary;